Bug 53338 - NFS exports ignore user umasks.
NFS exports ignore user umasks.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: knfsd (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-06 17:22 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 15:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-06 17:22:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
I believe this has to do with nfsd running daemonize() and therefore 
taking on current->fs, which init set during boot to contain the umask 
022. (I believe this is a patch in RH's SysVinit rpm) Anyhow, regardless 
of a user's umask, any *directory* created within an nfs mount from a 
client will be created with a umask of 022!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

[ccf@compile1-dev vus]$ umask
002
[ccf@compile1-dev vus]$ mkdir /tmp/umask.test
[ccf@compile1-dev vus]$ ls -ld /tmp/umask.test
drwxrwxr-x    2 ccf      ccf          4096 Sep  6 17:25 /tmp/umask.test
[ccf@compile1-dev vus]$ df -k /data1     
Filesystem           1k-blocks      Used Available Use% Mounted on
filer1-dev:/usr/local/export
                      35002928   5362088  27862776  17% /data1
[ccf@compile1-dev vus]$ mount | grep data1
filer1-dev:/usr/local/export on /data1 type nfs (rw,bg,soft,addr=x.x.x.x)
[ccf@compile1-dev vus]$ mkdir /data1/vus/umask.test
[ccf@compile1-dev vus]$ ls -ld /data1/vus/umask.test
drwxr-xr-x    2 ccf      ccf          4096 Sep  6 
17:26 /data1/vus/umask.test

Actual Results:  The directory created within the NFS mount does not honor 
any umask set by any user, it will simply always create directories 022.

Expected Results:  The directory permissions should have corresponded to 
my umask.

Additional info:
Comment 1 Mikkel Fischer 2001-09-09 18:44:11 EDT
I also have this problem, although this is on a stock redhat , upgraded with a
stock linux kernel, patched with xfs (2.4.9), xfs was needed due the machine is
attached to a 500 Gb storage. (this size really sucks when using ext2).
 
I have seen postings on the kernel mailing lists 
(link:http://devrandom.net/lists/nfs/0067.html) 
which includes a discussion whether its a kernel bug that it does not handle
umask correct (nfs wise) or if its an bug in the SysVinit package in the redhat 
distribution. 

Mikkel Fischer
Comment 2 Elliot Lee 2004-08-23 15:33:18 EDT
Closing old bugs for dead packages that have no maintainers. Please refile
against current packages/products if still relevant.

Note You need to log in before you can comment on or make changes to this bug.